Closed Bug 1439332 Opened 3 years ago Closed 2 years ago

Intermittent browser/components/preferences/in-content/tests/browser_siteData.js | Should show no site data. - "64.0 KB" == "" -

Categories

(Firefox :: Preferences, defect, P5)

defect

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: intermittent-bug-filer, Assigned: johannh)

References

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell unknown])

Attachments

(2 files)

Filed by: ncsoregi [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=162973269&repo=autoland

https://queue.taskcluster.net/v1/task/P6MusDLrQcyQ4rrPl5SPmA/runs/0/artifacts/public/logs/live_backing.log

[task 2018-02-19T10:05:12.232Z] 10:05:12     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_siteData.js | All expectedStyleSheetURLs should have been found - 
[task 2018-02-19T10:05:12.233Z] 10:05:12     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_siteData.js | The Settings dialog should be visible - 
[task 2018-02-19T10:05:12.234Z] 10:05:12     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_siteData.js | Should list two sites with cookies - 2 == 2 - 
[task 2018-02-19T10:05:12.235Z] 10:05:12     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_siteData.js | Should show the correct host. - "example.com" == "example.com" - 
[task 2018-02-19T10:05:12.235Z] 10:05:12     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_siteData.js | Should show the correct number of cookies. - "2" == "2" - 
[task 2018-02-19T10:05:12.236Z] 10:05:12     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_siteData.js | Should show no site data. - "" == "" - 
[task 2018-02-19T10:05:12.237Z] 10:05:12     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_siteData.js | Should show the correct host. - "example.org" == "example.org" - 
[task 2018-02-19T10:05:12.238Z] 10:05:12     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_siteData.js | Should show the correct number of cookies. - "1" == "1" - 
[task 2018-02-19T10:05:12.239Z] 10:05:12     INFO - Buffered messages finished
[task 2018-02-19T10:05:12.239Z] 10:05:12     INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/browser_siteData.js | Should show no site data. - "64.0 KB" == "" - 
[task 2018-02-19T10:05:12.240Z] 10:05:12     INFO - Stack trace:
[task 2018-02-19T10:05:12.241Z] 10:05:12     INFO - resource://testing-common/content-task.js line 50 > eval:null:20
[task 2018-02-19T10:05:12.241Z] 10:05:12     INFO - resource://testing-common/content-task.js:null:51
[task 2018-02-19T10:05:12.242Z] 10:05:12     INFO - GECKO(1457) | [Parent 1457, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/worker/workspace/build/src/layout/style/Loader.cpp, line 2108
[task 2018-02-19T10:05:12.243Z] 10:05:12     INFO - GECKO(1457) | [Parent 1457, Main Thread] WARNING: NS_ENSURE_TRUE(shell) failed: file /builds/worker/workspace/build/src/layout/base/nsDocumentViewer.cpp, line 3803
[task 2018-02-19T10:05:12.260Z] 10:05:12     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_siteData.js | Cookies from the second host should not be cleared -
There are 33 failures in the last 7 days.
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1439332&startday=2018-02-17&endday=2018-02-24&tree=all

Platforms:
- Linux, Linux x64, linux32-stylo-disabled, linux64-stylo-disabled, linux64-ccov
- OS X 10.10
- windows10-64-ccov

Recent log failure:
https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=164087403&lineNumber=12504

:jaws, could you please take a look?
Flags: needinfo?(jaws)
Whiteboard: [stockwell needswork]
See Also: → 1442553
There have been 77 failures in the last week and 112 failures in the last 21 days.

For the last 7 days I see that the failures occur on: 

Platforms:
- linux64-stylo-disabled:29
- linux32-stylo-disabled: 19
- Linux x64: 16
- Linux: 12
- Windows 7: 1

Build type:
- debug: 69
- opt: 6
- asan: 2


Here is a recent log file and a snippet with the failure:
https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=165658781&lineNumber=12350

[task 2018-03-02T22:39:32.486Z] 22:39:32     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_siteData.js | Should show the correct host. - "example.org" == "example.org" - 
[task 2018-03-02T22:39:32.487Z] 22:39:32     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_siteData.js | Should show the correct number of cookies. - "1" == "1" - 
[task 2018-03-02T22:39:32.487Z] 22:39:32     INFO - Buffered messages finished
[task 2018-03-02T22:39:32.489Z] 22:39:32     INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/browser_siteData.js | Should show no site data. - "64.0 KB" == "" - 
[task 2018-03-02T22:39:32.489Z] 22:39:32     INFO - Stack trace:
[task 2018-03-02T22:39:32.490Z] 22:39:32     INFO - resource://testing-common/content-task.js line 50 > eval:null:21
[task 2018-03-02T22:39:32.491Z] 22:39:32     INFO - resource://testing-common/content-task.js:null:51
This bug has failed 65 times in the last 7 days, mainly on Linux but it failed a few times on Windows 7 and Windows 10, affecting opt and debug build types.
Failing test: debug-mochitest-browser-chrome-e10, opt-mochitest-browser-chrome-e10s.
Link to a recent log: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=166966972&lineNumber=13918
Part of that log: [task 2018-03-09T12:46:08.763Z] 12:46:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_siteData.js | Should show the correct host. - "example.org" == "example.org" - 
[task 2018-03-09T12:46:08.766Z] 12:46:08     INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_siteData.js | Should show the correct number of cookies. - "1" == "1" - 
[task 2018-03-09T12:46:08.767Z] 12:46:08     INFO - Buffered messages finished
[task 2018-03-09T12:46:08.768Z] 12:46:08     INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/browser_siteData.js | Should show no site data. - "64.0 KB" == "" -

:jaws,:johannh do you guys have any updates on this bug? Or should we disable it?
Flags: needinfo?(jhofmann)
We can disable the test for now, I'm currently refactoring those tests anyway. Arthur, can you prepare a patch for that? I'm currently on my way to the weekend.
Flags: needinfo?(jhofmann)
Flags: needinfo?(jaws)
Flags: needinfo?(aiakab)
Attached patch bug1439332.patchSplinter Review
I've made a patch to disable this test on Linux debug. 
Please let me know if it's necessary to disable it on Windows too.
Attachment #8957860 - Flags: review?(jmaher)
Flags: needinfo?(aiakab)
Attachment #8957860 - Flags: review?(jmaher) → review+
Pushed by btara@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/90bf79e1b05e
disable browser/components/preferences/in-content/tests/browser_siteData.js for frequent failures on Linux. r=jmaher
Keywords: checkin-needed
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
There have been 36 total failures in the last 7 days.
This was disabled on Linux /debug 8 days ago.
It seems that now it fails mainly on windows platforms.

Occurences per platforms and build type:

Windows 7 / debug: 23
windows10-64 / debug: 3
windows10-64-ccov/ debug: 3 
OS X 10.10 /debug: 1
linux64-stylo-disabled / opt: 2
Linux x64 / asan & pgo: 4

Recent relevant log file and snippet with the failure:
https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=169302144&lineNumber=13502

22:04:58     INFO -  569 INFO TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct date. - "3/20/2018, 10:04 PM" == "3/20/2018, 10:04 PM" -
22:04:58     INFO -  570 INFO TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct host. - "example.org" == "example.org" -
22:04:58     INFO -  571 INFO TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct number of cookies. - "1" == "1" -
22:04:58     INFO -  Buffered messages finished
22:04:58    ERROR -  572 INFO TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show no site data. - "64.0 KB" == "" -
22:04:58     INFO -  Stack trace:
22:04:58     INFO -  resource://testing-common/content-task.js line 50 > eval:null:21
22:04:58     INFO -  resource://testing-common/content-task.js:null:51
Flags: needinfo?(jaws)
Whiteboard: [stockwell disabled] → [stockwell disabled][stockwell needswork]
Ugh, that damn cache is so unpredictable. I'll prepare a patch to todo the assertion for now. Maybe adding a way to set indexedDB without opening a new page in bug 1348223 would help. I'm going to look into this more soon, but I think a todo is probably best short term since that assertion isn't really important anyway...
Assignee: nobody → jhofmann
Status: NEW → ASSIGNED
Flags: needinfo?(jaws)
Comment on attachment 8961477 [details]
Bug 1439332 - todo assertions for "no site data" in site data cookies tests for now.

https://reviewboard.mozilla.org/r/230244/#review236306

rs=me, but won't todo() fail if the condition is true? So if this is interimittent failures, this will now be intermittent successes? :)
Attachment #8961477 - Flags: review?(jaws) → review+
(In reply to Jared Wein [:jaws] (please needinfo? me) from comment #20)
> Comment on attachment 8961477 [details]
> Bug 1439332 - todo assertions for "no site data" in site data cookies tests
> for now.
> 
> https://reviewboard.mozilla.org/r/230244/#review236306
> 
> rs=me, but won't todo() fail if the condition is true? So if this is
> interimittent failures, this will now be intermittent successes? :)

Verified that todo(true) doesn't fail :)
Pushed by jhofmann@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/91835d19518c
todo assertions for "no site data" in site data cookies tests for now. r=jaws
Bug 1464102 is changing these back from todo to is(). Note that until bug 1464102, todo() in content-tasks were not working (confirmed by comment 21 above) so the change that landed here effectively commented out the code.
Status: ASSIGNED → RESOLVED
Closed: 2 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.